## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit  83e953ae739f895ddb19aaa14a8b13b29d6607f4
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:           CoBang
Version:        0.14.1^20241223.83e953a
Release:        %autorelease
Summary:        A QR code scanner desktop app for Linux

# Main code is GPL-3.0-or-later
# Picture icon is ISC
License:        GPL-3.0-or-later AND ISC
URL:            https://github.com/hongquan/CoBang
Source:         %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gstreamer1-plugins-good-gtk
BuildRequires:  gstreamer1-plugins-good
BuildRequires:  gtk3-devel
BuildRequires:  libappstream-glib
BuildRequires:  libhandy-devel
BuildRequires:  libndp-devel
BuildRequires:  libpwquality-devel
BuildRequires:  librsvg2-devel
BuildRequires:  meson
BuildRequires:  NetworkManager-libnm-devel
BuildRequires:  polkit-devel
BuildRequires:  python3-babel
BuildRequires:  python3-cairo-devel
BuildRequires:  python3-devel
BuildRequires:  python3-gobject
BuildRequires:  python3-gobject-devel
BuildRequires:  python3-gstreamer1
BuildRequires:  python3-kiss-headers
BuildRequires:  python3-logbook
BuildRequires:  python3-pillow
BuildRequires:  python3-pytest
BuildRequires:  python3-requests
BuildRequires:  python3-single-version
BuildRequires:  python3-zbar
BuildRequires:  zbar-devel
BuildRequires:  zbar-gtk-devel
BuildArch:      noarch

Requires:       hicolor-icon-theme
Requires:       glib2
Requires:       gstreamer1-plugins-good-gtk
Requires:       gstreamer1-plugins-good
Requires:       gtk3
Requires:       libhandy
Requires:       libndp
Requires:       libpwquality
Requires:       librsvg2
Requires:       NetworkManager-libnm
Requires:       polkit
Requires:       python3-gobject
Requires:       python3-logbook
Requires:       python3-kiss-headers
Requires:       python3-pillow
Requires:       python3-requests
Requires:       python3-single-version
Requires:       python3-zbar
Provides:       python3-cobang

%description
A missing native QR Code and barcode scanner application
for Linux desktop.  CoBang can scan barcode, QR code from
webcam or static image, local or remote.

%prep
%autosetup -n %{name}-%{commit}


%build
%meson
%meson_build

%install
%meson_install
%find_lang cobang

%check
%pytest
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/vn.hoabinh.quan.CoBang.desktop
appstream-util validate-relax --nonet \
    %{buildroot}%{_metainfodir}/vn.hoabinh.quan.CoBang.appdata.xml

%files -f cobang.lang
%license LICENSE.txt
%doc README.rst
%{_bindir}/cobang
%{_metainfodir}/vn.hoabinh.quan.CoBang.appdata.xml
%{_datadir}/applications/vn.hoabinh.quan.CoBang.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%dir %{_datadir}/cobang
%{_datadir}/cobang/*.glade
%{_datadir}/cobang/*.png
%{_datadir}/cobang/*.svg
%{_datadir}/glib-2.0/schemas/vn.hoabinh.quan.CoBang.gschema.xml

%{python3_sitelib}/cobang/
   
%changelog
## START: Generated by rpmautospec
* Fri Dec 27 2024 John Doe <packager@example.com> - 0.14.1^20241223.83e953a-1
- Uncommitted changes
## END: Generated by rpmautospec
